Skip to main content
GET
/
reconciliation_matches
/
{id}
Retrieve a reconciliation match
curl --request GET \
  --url https://api.endclose.com/v1/reconciliation_matches/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": 123,
  "status": "<string>",
  "group_key": "<string>",
  "reconciliation_id": 123,
  "reconciliation_rule_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "record_count": 123
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Response

Match retrieved

A reconciliation match represents a group of records that have been matched together. Endclose supports many-to-one matching, so a single match can contain a large number of records — to retrieve them, use GET /v1/records?reconciliation_match_id={id}.

id
integer
status
string
group_key
string
reconciliation_id
integer
reconciliation_rule_id
integer
created_at
string<date-time>
record_count
integer

Total number of records in this match